<?php
/**
* ルミーズ決済モジュール（定数定義）
*
* PHP versions 4 and 5
* @project REMISE Payment Module for EC-CUBE 2.12.x
* @package mdl_remise
* @author REMISE Corp. <tech@remise.jp>
* @copyright Copyright(C) REMISE Corp. All Rights Reserved.
* @version include.php,v 2.1
*
*/

/* 共通定義 */
// ルミーズモジュールバージョン
define('MDL_REMISE_VERSION', '2.1.1');
// ルミーズモジュールID
define("MDL_REMISE_CODE", "mdl_remise");
// ルミーズへのデータ送信用エンコード
define("REMISE_SEND_ENCODE", 'SJIS-win');
// ルミーズからの通信のIP制御(0:しない 1:する)
define("REMISE_IP_ADDRESS_DENY", 0);
// ルミーズサーバのIPアドレス(実際に使用する場合は最新のIPアドレス帯域を確認してください)
define("REMISE_IP_ADDRESS_S", "210.160.253.128");
define("REMISE_IP_ADDRESS_E", "210.160.253.192");
// 代理店コード
define('MDL_REMISE_POST_VALUE','A0000155');
// 画面制御
define('REMISE_CONFIRM', 'remise');
define('REMISE_CANCEL', 'cancel');
define("REMISE_DISPLAY_INPUT", 0);
define("REMISE_DISPLAY_CONFIRM", 1);
// 支払方法区分
define('PAY_REMISE_CREDIT', 1);
define('PAY_REMISE_CONVENI', 2);
// 接続形態
define('REMISE_CONNECT_TYPE_WEB', 1);
define('REMISE_CONNECT_TYPE_GATEWAY', 2);
$GLOBALS["arrConnect"] = array (
    REMISE_CONNECT_TYPE_WEB     => "WEB連携接続",
    REMISE_CONNECT_TYPE_GATEWAY => "ゲートウェイ間接続<span class=\"red\">（オプション）</span>",
);
// ダイレクトモード // 5/24 update 古越 決済画面カスタマイズとの差別化のため要素名称変更 
define('REMISE_DIRECT_ON','ON');
define('REMISE_DIRECT_OFF','OFF');
$GLOBALS["arrDirect"] = array (
    REMISE_DIRECT_ON  => "ローカル<span class=\"red\">（オプション）</span>",
    REMISE_DIRECT_OFF => "リモート"
);
// オプションサービスの利用制御(ペイクイック)
define('REMISE_OPTION_USE',1);
$GLOBALS["arrUse"] = array (
    "1"  => "利用する",
    "0"  => "利用しない"
);
// エラー内容
$GLOBALS["arrRemiseErrorWord"] = array (
	"OK" => "0:0000",
        "NORMAL" => "0"
);


/* 共通パス定義 */
// ファイルパス
define('MDL_REMISE_PATH', MODULE_REALDIR. MDL_REMISE_CODE. '/');
define('MDL_REMISE_CLASS_PATH', MDL_REMISE_PATH . 'class/');
define('MDL_REMISE_TEMPLATE_PATH', MDL_REMISE_PATH . 'tmp/');
define('MDL_REMISE_RETURL', HTTPS_URL. 'shopping/load_payment_module.php');
// イメージパス
define('IMG_URL', 'user_data/' . MDL_REMISE_CODE. '/img/');

/* クレジットカード決済関連定義 */
// 名称
define('REMISE_CREDIT_NAME', 'カード決済');
// 決済上下限金額
define("REMISE_CREDIT_UPPER", 999999);
define("REMISE_CREDIT_BOTTOM", 1);
// 処理区分
define('REMISE_PAYMENT_JOB_CAPTURE', 'CAPTURE');
define('REMISE_PAYMENT_JOB_AUTH', 'AUTH');
define('REMISE_PAYMENT_JOB_SALES', 'SALES');
define('REMISE_PAYMENT_JOB_VOID', 'VOID');
define('REMISE_PAYMENT_JOB_RETURN', 'RETURN');
$GLOBALS["arrJob"] = array (
    REMISE_PAYMENT_JOB_CAPTURE => "売上",
    REMISE_PAYMENT_JOB_AUTH    => "仮売上",
    REMISE_PAYMENT_JOB_SALES   => "実売上",
    REMISE_PAYMENT_JOB_VOID    => "即日取消",
    REMISE_PAYMENT_JOB_RETURN  => "返品"
);
// 利用JOBコード
$GLOBALS["arrPaymentJob"] = array (
    REMISE_PAYMENT_JOB_AUTH    => "AUTH(仮売上)",
    REMISE_PAYMENT_JOB_CAPTURE => "CAPTURE(売上)"
);
// 支払区分
define("REMISE_PAYMENT_METHOD_LUMP", 10);
define("REMISE_PAYMENT_METHOD_DIVIDE", 61);
define("REMISE_PAYMENT_METHOD_REVO", 80);
$GLOBALS["arrCredit"] = array (
	REMISE_PAYMENT_METHOD_LUMP      => "一括払い",
	REMISE_PAYMENT_METHOD_DIVIDE    => "分割払い",
	REMISE_PAYMENT_METHOD_REVO      => "リボルビング払い"
);
// 分割回数
define("REMISE_PAYMENT_DIVIDE_MAX", 2);
$GLOBALS["arrCreditDivide"] = array (
	REMISE_PAYMENT_DIVIDE_MAX => "2"
);
// ペイクイック登録
$GLOBALS["arrPayquickFlg"] = array (
    "1"  => "　登録する"
);
// 利用カードブランド
$GLOBALS["arrUseCardBrand"] = array (
    VISA => array (
        CNAME   => "VISA",
        IMAGE   => "visa.gif"),
    MASTER => array (
        CNAME   => "MasterCard",
        IMAGE   => "master.gif"),
    JCB => array (
        CNAME   => "JCB",
        IMAGE   => "jcb.gif"),
    AMEX => array (
        CNAME   => "AMEX",
        IMAGE   => "amex.gif"),
    MUFG => array (
        CNAME   => "MUFG",
        IMAGE   => "mufg.gif"),
    NICOS => array (
        CNAME   => "ニコス",
        IMAGE   => "nicos.gif"),
    DC => array (
        CNAME   => "DC",
        IMAGE   => "dc.gif"),
    UFJ => array (
        CNAME   => "UFJ",
        IMAGE   => "ufj.gif"),
    TOYOTA => array (
        CNAME   => "TS CUBIC",
        IMAGE   => "toyota.gif"),
    DINERS => array (
        CNAME   => "Diners",
        IMAGE   => "diners.gif")
);

// 結果通知プログラム
define('RESULT_RECEIVE_PG', "user_data/remise_recv.php");
// 結果通知ステータス
define("REMISE_PAYMENT_CHARGE_OK", "<SDBKDATA>STATUS=800</SDBKDATA>");
// 結果通知ステータス(モバイル)
define("REMISE_PAYMENT_CHARGE_OK_MOBILE", "<SDBKDATA>STATUS=900</SDBKDATA>");
// 結果通知ログパス
define("REMISE_LOG_PATH_CARD_RET", DATA_REALDIR . "logs/remise_card_result.log");
// 結果通知ログパス(拡張セット)
define("REMISE_LOG_PATH_EXTSET_RET", DATA_REALDIR . "logs/remise_extset_result.log");
// カードイメージ
define('IMG_CARD_URL', IMG_URL . 'card_img/');

/***** 2012/01/31 追加（大池） start *****/
// 最大コミット回数
define("REMISE_MAX_COMMIT_COUNT", 2);
/***** 2012/01/31 追加（大池） end   *****/

/***** 2012/05/15 追加（古越） start *****/
//定期購買商品ID
define('PRODUCT_TYPE_AC_REMISE', 3);
/***** 2012/05/15 追加（古越） end *****/

/* マルチ決済関連定義 */
// 名称
define('REMISE_CONVENIENCE_NAME', 'コンビニ・電子マネー・銀行決済');
// 決済上下限金額
define("REMISE_CONVENIENCE_UPPER", 999999);
define("REMISE_CONVENIENCE_BOTTOM", 1);
// コンビニの種類
$GLOBALS["arrConvenience"] = array (
    D001 => array (
        PAY_WAY => "002",
        NAME    => "セブンイレブン",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D002 => array (
        PAY_WAY => "003",
        NAME    => "ローソン",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D030 => array (
        PAY_WAY => "006",
        NAME    => "ファミリーマート",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D004 => array (
        PAY_WAY => "004",
        NAME    => "サークルＫ",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D003 => array (
        PAY_WAY => "004",
        NAME    => "サンクス",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D010 => array (
        PAY_WAY => "004",
        NAME    => "デイリーヤマザキ",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D011 => array (
        PAY_WAY => "004",
        NAME    => "ヤマザキデイリーストア",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D005 => array (
        PAY_WAY => "004",
        NAME    => "ミニストップ",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D015 => array (
        PAY_WAY => "004",
        NAME    => "セイコーマート",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),

/***** 2012/06/06 追加（古越） start *****/
    //　PayPal追加
    C511 => array (
        PAY_WAY => "500",
        NAME    => "ＰａｙＰａｌ",
        MIN     => "1",
        MAX     => null,
        PC      => true,
        MBL     => false
    ),
/***** 2012/06/06 追加（古越） end *****/
    D401 => array (
        PAY_WAY => "400",
        NAME    => "楽天Ｅｄｙ",
        MIN     => "200",
        MAX     => "50000",
        PC      => true,
        MBL     => false
    ),
    D402 => array (
        PAY_WAY => "400",
        NAME    => "モバイルＥｄｙ",
        MIN     => "200",
        MAX     => "50000",
        PC      => false,
        MBL     => true
    ),
    D403 => array (
        PAY_WAY => "400",
        NAME    => "モバイルＳｕｉｃａ",
        MIN     => "200",
        MAX     => "20000",
        PC      => false,
        MBL     => true
    ),
    D405 => array (
        PAY_WAY => "400",
        NAME    => "ペイジー",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D406 => array (
        PAY_WAY => "400",
        NAME    => "ジャパンネット銀行",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D404 => array (
        PAY_WAY => "400",
        NAME    => "楽天銀行",
        MIN     => "200",
        MAX     => "299999",
        PC      => true,
        MBL     => true
    ),
    D451 => array (
        PAY_WAY => "400",
        NAME    => "ウェブマネー",
        MIN     => "1",
        MAX     => "500000",
        PC      => true,
        MBL     => true
    ),
    D452 => array (
        PAY_WAY => "400",
        NAME    => "ビットキャッシュ",
        MIN     => "1",
        MAX     => "200000",
        PC      => true,
        MBL     => true
    ),
    P901 => array (
        PAY_WAY => "900",
        NAME    => "コンビニ払込票",
        MIN     => "200",
        MAX     => "999999",
        PC      => true,
        MBL     => true
    ),
    P902 => array (
        PAY_WAY => "900",
        NAME    => "コンビニ払込票（郵便局・ゆうちょ銀行）",
        MIN     => "200",
        MAX     => "999999",
        PC      => true,
        MBL     => true
    ),
    C501 => array (
        PAY_WAY => "500",
        NAME    => "クレジットカード",
        MIN     => "1",
        MAX     => null,
        PC      => true,
        MBL     => true
    ),
    /* AUTH(仮売上)で決済する場合、C501を無効にし、C502を有効にしてください。
    C502 => array (
        PAY_WAY => "500",
        NAME    => "クレジットカード",
        MIN     => "1",
        MAX     => null,
        PC      => true,
        MBL     => true
    )
    */
);
// お支払方法ご案内URL
define('REMISE_DSK_URL', "http://www.remise.jp/data/paycvs/dsk/index.html");
// お支払方法ご案内URL(モバイル)
define('REMISE_DSK_MOBILE_URL', "http://www.remise.jp/data/paycvs/paycvs2_m.htm");
// 収納通知受信フラグ(0:自動受信しない 1:自動受信する)
define("REMISE_CONVENIENCE_RECIVE", 1);
// 収納済フラグ
define("REMISE_CONVENIENCE_CHARGE", 1);
// 収納通知ステータス
define("REMISE_CONVENIENCE_CHARGE_OK", "<SDBKDATA>STATUS=800</SDBKDATA>");
// 収納通知メール
$GLOBALS["arrReceiptMailTemplate"] = array (
    NAME => "入金お知らせメール(REMISEマルチ決済)",
    PATH => "mail_templates/remise_receipt_mail.tpl",
    SUBJECT => "ご入金が確認できました",
    HEADER => "以下のご注文につきまして、ご入金が確認できました。" . PHP_EOL .
              "これより商品出荷のお手続きに入らせていただきます。",
    FOOTER => "============================================" . PHP_EOL .
              PHP_EOL .
              "ご質問やご不明な点がございましたら、こちらからお願いいたします。");
/***** 2012/01/31 追加（大池） start *****/
// 受注キャンセルメール
$GLOBALS["arrOrderCancelMailTemplate"] = array (
    NAME => "受注キャンセル通知メール",
    PATH => "mail_templates/remise_order_cancel_mail.tpl",
    SUBJECT => "受注をキャンセルしました",
    HEADER => "以下のご注文につきまして、カード決済処理中にエラーが発生したため、" . PHP_EOL .
              "キャンセル処理を行いました。",
    FOOTER => PHP_EOL . "ご確認の上、必要に応じてお客様へのご対応等をお願いいたします。");
/***** 2012/01/31 追加（大池） end   *****/
// 完了通知ログバス(モバイル)
define("REMISE_LOG_PATH_CONVENI_RET", DATA_REALDIR . "logs/remise_cv_finish.log");
// 注文完了メッセージ
define("REMISE_PAY_INFO", "お支払い方法のご案内");
$GLOBALS["arrCvsMsg"] = array (
    "SEVENELEVEN" => array (
        RECEIPT_NO  => "払込票番号",
        PAYMENT_URL => "払込票URL",
        CVS_MSG     => "
上記URLのページを表示の上プリントアウトされるか、払込票番号(13桁)をメモして頂いてセブン－イレブンのレジでお支払いください。
手書きメモの場合、「インターネットの代金支払」とレジにてお申し出の上、払込票番号を記したメモをご提示ください。"
    ),
    "LAWSON_OTHER" => array (
        RECEIPT_NO  => "受付番号",
        PAYMENT_URL => "支払方法案内URL",
        CVS_MSG     => "
店頭のLoppi端末のメニュー画面から「各種代金・各種代金・インターネット受付サービス」→「インターネット受付」→「インターネット商品のお支払い」を選択してください。
（Loppiッピの場合、印刷もしくは携帯画面に表示されたLoppi専用バーコードを画面右下のスキャナーにかざしてください。
また、セイコーマートの場合、クラブステーション端末のメニュー画面から「インターネット受付」を選択してください。）
受付番号、登録電話番号を入力し、画面に従い、申込券を発行の上、レジへご提示ください。"
    ),
    "CIRCLEK_OTHER" => array (
        RECEIPT_NO  => "オンライン決済番号",
        PAYMENT_URL => "支払方法案内URL",
        CVS_MSG     => "
店頭のカルワザステーション端末のメニュー画面から「各種支払い」→「オンライン決済番号」を選択してください。
オンライン決済番号(11桁)を入力し、画面に従い、受付票を発行の上、レジへご提示ください。
なお、カルワザステーション端末が設置されていない店舗の場合、上記URLのページを表示の上プリントアウトされるか、オンライン決済番号をメモして頂いてサークルＫ・サンクスのレジにご提示し、手順に従ってお支払いください。
手書きメモの場合、「オンライン決済」とレジにてお申し出の上、オンライン決済番号を記したメモをご提示ください。"
    ),
    "MINISTOP_OTHER" => array (
        RECEIPT_NO  => "オンライン決済番号",
        PAYMENT_URL => "支払方法案内URL",
        CVS_MSG     => "
上記URLのページを表示の上プリントアウトされるか、オンライン決済番号(11桁)をメモして頂いてサークルＫ・サンクス、ミニストップ、デイリーヤマザキ・ヤマザキデイリーストアのレジにご提示いただき、手順に従ってお支払いください。
手書きメモの場合、「オンライン決済」とレジにてお申し出の上、オンライン決済番号を記したメモをご提示ください。"
    ),
    "FAMILYMART" => array (
        COMPANY_CODE    => "企業コード",
        RECEIPT_NO      => "注文番号",
        PAYMENT_URL     => "支払方法案内URL",
        CVS_MSG         => "
店頭のFamiポートの画面から「代金支払い・チャージ」→「収納票発行」を選択してください。
企業コード(5桁)、注文番号(12桁)を入力して申込券を発行し、レジへご提示ください。"
    ),
    "PAY-EASY" => array (
        RECEIPT_NO  => "確認番号",
        PAYMENT_URL => "支払方法案内URL",
        CVS_MSG     => "
「Pay-easy」マークが貼付されているATM、インターネットバンキング、モバイルバンキングでのお支払いができます。
各収納機関の画面指示に従ってお支払いください。
「収納機関番号」は「58091」、「お客様番号」は「ご登録のお電話番号」となります。
なお、支払方法案内URLからログインされた場合は「収納機関番号」・「お客様番号」・「確認番号」の入力は不要になります。"
    ),
    "PAPER-PAY" => array (
        RECEIPT_NO  => "受付番号",
        PAYMENT_URL => "支払方法案内URL",
        CVS_MSG     => "
コンビニ払込票は、後日、郵送にてお送りさせて頂きますので、お近くのコンビニエンスストアでお支払手続きをお願いいたします。
なお、ご利用店舗によっては、コンビニ払込票が商品に同梱される場合もございます。予め、ご了承ください。"
    ),
    "E-MONEY_OTHER" => array (
        RECEIPT_NO  => "受付番号",
        PAYMENT_URL => "支払方法案内URL",
        CVS_MSG     => "
上記URLのページを表示の上、画面の指示に従ってお支払いください。"
    )
);
?>
